<div class="content-wrapper">
	<div class="content-title">
		<ol class="breadcrumb">
			<li><a (click)="goToDashboard()" class="breadcrumb">Dashboard</a></li>
			<li><a (click)="goToMyEvents()" class="breadcrumb">My Events</a></li>
			<li><span>{{event.name}}</span></li>
		</ol>
	</div>
	<div class="m30">
		<div class="text-center" [hidden]="!loading">
			<div class="loading-items text-center">Loading Users</div>
		</div>
		<div class="text-center" *ngIf="!loading && (userDataSource.length === 0)">No Users Registered!</div>
		<div *ngIf="userDataSource != 0" class="custom-table">
			<h3 class="table-title">Registered Users</h3>
			<table mat-table [dataSource]="userDataSource">
				<!-- Position Column -->
				<ng-container matColumnDef="position">
					<th mat-header-cell *matHeaderCellDef> No.</th>
					<td mat-cell *matCellDef="let element">{{element.position}}</td>
				</ng-container>

				<!-- User Name Column -->
				<ng-container matColumnDef="userName">
					<th mat-header-cell *matHeaderCellDef>User Name</th>
					<td mat-cell *matCellDef="let element">{{element.userName}}</td>
				</ng-container>

				<!-- First Name Column -->
				<ng-container matColumnDef="firstName">
					<th mat-header-cell *matHeaderCellDef>First Name</th>
					<td mat-cell *matCellDef="let element">{{element.firstName}}</td>
				</ng-container>

				<!-- Last Name Column -->
				<ng-container matColumnDef="lastName">
					<th mat-header-cell *matHeaderCellDef>Last Name</th>
					<td mat-cell *matCellDef="let element">{{element.lastName}}</td>
				</ng-container>

				<!-- Email Column -->
				<ng-container matColumnDef="email">
					<th mat-header-cell *matHeaderCellDef>Email</th>
					<td mat-cell *matCellDef="let element">{{element.email}}</td>
				</ng-container>

				<!-- Email Column -->
				<ng-container matColumnDef="configuredFields">
					<th mat-header-cell *matHeaderCellDef>Configured Fields</th>
					<td mat-cell *matCellDef="let element" (click)="viewConfiguredFields(element.user)">
						<span class="table-links">View Fields<fa-icon [icon]="faEye" class="nav-icon"></fa-icon></span>
					</td>
				</ng-container>

				<tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
				<tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
			</table>
		</div>
	</div>
</div>